#
# spec file for package pcfclock (Version 0.44)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           pcfclock
BuildRequires:  kernel-source kernel-syms module-init-tools
Version:        0.44
Release:        133.1
Summary:        Pcfclock kernel driver
License:        GPL v2 or later
Group:          System/Kernel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www-stud.ims.uni-stuttgart.de/~voegelas/pcf.html
Requires:       pcfclock-kmp
AutoReqProv:    on
Source:         pcfclock-%{version}.tar.gz
Source1:        Makefile
Source2:        preamble
Patch:          pcfclock-nomodule.patch
Patch1:         pcfclock-module_param.patch
Patch2:         pcfclock-no_devfs.patch
ExcludeArch:    s390 s390x
%suse_kernel_module_package -p %_sourcedir/preamble kdump um xen xenpae iseries64

%description
The pcfclock(4) driver for GNU/Linux supports the parallel port radio
clock sold by Conrad Electronic under order number 967602. The radio
clock, which is put between your parallel port and your printer,
receives the legal German time, i.e. CET or CEST, from the DCF77
transmitter and uses it to set its internal quartz clock. The DCF77
transmitter is located near to Frankfurt/Main and covers a radius of
more than 1500 kilometers.



Authors:
--------
    Andreas Vgele  <voegelas@gmx.net>

%debug_package
%package KMP
License:        GPL v2 or later
Summary:        Pcfclock kernel driver
Group:          System/Kernel

%description KMP
The pcfclock(4) driver for GNU/Linux supports the parallel port radio
clock sold by Conrad Electronic under order number 967602. The radio
clock, which is put between your parallel port and your printer,
receives the legal German time, i.e. CET or CEST, from the DCF77
transmitter and uses it to set its internal quartz clock. The DCF77
transmitter is located near to Frankfurt/Main and covers a radius of
more than 1500 kilometers.



Authors:
--------
    Andreas Vgele  <voegelas@gmx.net>

%prep
%setup
%patch
%patch1
%patch2
mkdir source
mkdir obj
cp -a linux/pcfclock.c %{S:1} \
	source

%build
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr --mandir=%{_mandir} --without-linux
make
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
         M=$PWD/obj/$flavor
done

%install
make install DESTDIR=%{buildroot}
# install manpage
make -C linux install DESTDIR=%{buildroot}
# install kernel modules
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/obj/$flavor
done

%files
%defattr(-,root,root)
%doc README
%{_mandir}/man4/pcfclock.4.gz
%{_mandir}/man8/pcfdate.8.gz
/usr/sbin/pcfdate

%clean
rm -rf %{buildroot}

%changelog
* Fri May 11 2007 - ro@suse.de
- fix build with current kernel sources
- use optflags for pcfdate
* Thu Apr 05 2007 - lrupp@suse.de
- added module-init-tools to BuildRequires
* Mon Aug 21 2006 - ro@suse.de
- devfs has been removed from 2.6.18, make kernel driver compile
* Mon Apr 10 2006 - agruen@suse.de
- Add preamble `Enhances: kernel-$flavor' workaround to KMP
  sub-packages (156513).
* Mon Apr 03 2006 - ro@suse.de
- change MODULE_PARM to module_param
* Thu Feb 23 2006 - ro@suse.de
- created package with KMP (version 0.44)
